<!DOCTYPE html>
<html>
<head>
    <meta charset="UTF-8"/>
    <title>创建-渲染 Dom 语法测试</title>

</head>
<body>

<div id="test1"></div>
<div id="test2"></div>


<script src="JS/react.development.js"></script>
<script src="JS/react-dom.development.js"></script>
<script src="JS/babel.min.js"></script>

<!--不使用 JSX （JavaScript+XML）语法-->
<!--
  此脚本不能写在 head 标签体内，否则会报找不到 dom 元素节点的错误。
-->
<script type="text/javascript">

    /*const 声明只读常量，只能初始化一次。不能再做修改
    *var 声明变量，可再赋值。
    * */
    const msg = 'I like you!'
    const myid = 'title'
    const vdom = React.createElement('h1', {id: myid.toUpperCase()}, msg.toUpperCase())//1、创建虚拟 Dom 对象

    /*真实 Dom ：内容很多
    * 虚拟 Dom：内容轻简很多；修改虚拟 dom 不会更新界面，在渲染时界面才会更新。
    * */
    // const testDom=document.getElementById('test1')//真实 Dom
    // debugger//相当于添加断点进行调试（查看真实 dom 与虚拟 Dom 的区别）

    ReactDOM.render(vdom, document.getElementById('test1'))//2、渲染虚拟 Dom 对象

</script>

<!--使用 JSX 语法-->
<script type="text/babel">

    const vdom2 = <h3 id={myid.toLowerCase()}>{msg.toLowerCase()}</h3>//1、创建虚拟 Dom 对象
    ReactDOM.render(vdom2, document.getElementById('test2'))//2、渲染虚拟 Dom 对象
</script>

</body>
</html>
